summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
diff options
context:
space:
mode:
authorFilip Tehlar <ftehlar@cisco.com>2017-04-11 16:23:03 +0200
committerFilip Tehlar <ftehlar@cisco.com>2017-04-11 16:23:03 +0200
commitf15823711ef09c92f901c5ec0cc44d587d34be0d (patch)
treeb7f3a08b56be08fdcba71cce53b86a41669cd250 /tests/data_plane/vpp_lite_topo/test_driver/basic.sh
parent58f678f923f497ea9678b3a6a1e908f08f083938 (diff)
Add enable/disable test
Change-Id: Idbc70ab037d65d1003b904ea5e2a25b3f2fb9f25 Signed-off-by: Filip Tehlar <ftehlar@cisco.com>
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/basic.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
index ec96f16..0cdf10d 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic.sh
@@ -110,3 +110,45 @@ function test_rloc_probe
print_status $rc "unexpected value"
exit $test_result
}
+
+function test_enable_disable
+{
+ if [ "$3" != "no_setup" ] ; then
+ 2_node_topo_setup
+ fi
+
+ maybe_pause
+ test_result=1
+
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ assert_rc_ok $? 2_node_topo_clean "No ICMP response!"
+
+ maybe_pause
+
+ # disable control plane
+ echo "one disable" | nc 0 5002
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ assert_rc_not_ok $? 2_node_topo_clean "Nothing expected, but received ICMP reply!"
+
+ # enable control plane
+ echo "one enable" | nc 0 5002
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ assert_rc_ok $? 2_node_topo_clean "No ICMP response!"
+
+ # disable dataplane
+ echo "gpe disable" | nc 0 5002
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ assert_rc_not_ok $? 2_node_topo_clean "Nothing expected, but received ICMP reply!"
+
+ # enable LISP again from control plane
+ echo "one enable" | nc 0 5002
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ assert_rc_ok $? 2_node_topo_clean "No ICMP response!"
+ rc=$?
+
+ # test done
+ maybe_pause
+ 2_node_topo_clean
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}